[python-bitstring] 01/03: Add autopkgtest testsuite.

Ghislain Vaillant ghisvail-guest at moszumanska.debian.org
Wed Jan 27 18:21:24 UTC 2016


This is an automated email from the git hooks/post-receive script.

ghisvail-guest pushed a commit to branch master
in repository python-bitstring.

commit ce201f5326ade8f4653f659caffe6722d5fa0f5f
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date:   Wed Jan 27 18:01:48 2016 +0000

    Add autopkgtest testsuite.
---
 debian/control       |  1 +
 debian/tests/control |  7 +++++++
 debian/tests/python2 | 12 ++++++++++++
 debian/tests/python3 | 12 ++++++++++++
 4 files changed, 32 insertions(+)

diff --git a/debian/control b/debian/control
index 7f4de7d..08b4908 100644
--- a/debian/control
+++ b/debian/control
@@ -2,6 +2,7 @@ Source: python-bitstring
 Maintainer: Debian Science Maintainers <debian-science-maintainers at lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail at gmail.com>
 Section: python
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..bd40232
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,7 @@
+Tests: python2
+Depends: python-all,
+         python-bitstring
+
+Tests: python3
+Depends: python3-all,
+         python3-bitstring
diff --git a/debian/tests/python2 b/debian/tests/python2
new file mode 100755
index 0000000..1e28817
--- /dev/null
+++ b/debian/tests/python2
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -r 2>/dev/null)"
+
+cp -a ./test "$ADTTMP"
+cd "$ADTTMP"
+
+for py in $pys; do
+	echo "=== $py ==="
+	$py -m unittest discover ./test 2>&1
+done
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..bccf986
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+pys="$(py3versions -r 2>/dev/null)"
+
+cp -a ./test "$ADTTMP"
+cd "$ADTTMP"
+
+for py in $pys; do
+	echo "=== $py ==="
+	$py -m unittest discover ./test 2>&1
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/python-bitstring.git



More information about the debian-science-commits mailing list